Bug 1653753 - Eclipse - Incompatible JavaHL library loaded. Subversion 1.10.x required.
Summary: Eclipse - Incompatible JavaHL library loaded. Subversion 1.10.x required.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-subclipse
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 15:09 UTC by lejeczek
Modified: 2019-04-06 20:18 UTC (History)
9 users (show)

Fixed In Version: eclipse-subclipse-4.3.0-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 20:18:37 UTC


Attachments (Terms of Use)

Description lejeczek 2018-11-27 15:09:49 UTC
Description of problem:

Having all Eclipse's components installed form fedora yum repo I get this message:

Incompatible JavaHL library loaded.  Subversion 1.10.x required.


Version-Release number of selected component (if applicable):

subversion-1.11.0-1.fc29.x86_64
subversion-javahl-1.11.0-1.fc29.noarch
subversion-libs-1.11.0-1.fc29.x86_64


eclipse-abrt-0.0.3-6.fc29.noarch
eclipse-cdt-9.5.3-6.fc29.x86_64
eclipse-cdt-llvm-9.5.3-6.fc29.x86_64
eclipse-cdt-native-9.5.3-6.fc29.x86_64
eclipse-cdt-qt-9.5.3-6.fc29.x86_64
eclipse-dltk-5.10.0-1.fc29.noarch
eclipse-dltk-mylyn-5.10.0-1.fc29.noarch
eclipse-ecf-core-3.14.1-3.fc29.noarch
eclipse-egit-5.1.1-1.fc29.noarch
eclipse-emf-core-2.15.0-0.3.gitd1e5fdd.fc29.noarch
eclipse-emf-runtime-2.15.0-0.3.gitd1e5fdd.fc29.noarch
eclipse-emf-xsd-2.15.0-0.3.gitd1e5fdd.fc29.noarch
eclipse-epp-logging-2.0.7-4.fc29.noarch
eclipse-equinox-osgi-4.9.0-2.fc29.x86_64
eclipse-gef-3.11.0-7.fc29.noarch
eclipse-jdt-4.9.0-2.fc29.noarch
eclipse-jgit-5.1.1-2.fc29.noarch
eclipse-launchbar-2.2.1-1.fc29.noarch
eclipse-linuxtools-7.1.0-0.3.fc29.noarch
eclipse-linuxtools-changelog-7.1.0-0.3.fc29.noarch
eclipse-linuxtools-libhover-7.1.0-0.3.fc29.noarch
eclipse-linuxtools-rpm-editor-7.1.0-0.3.fc29.noarch
eclipse-m2e-core-1.9.1-2.fc29.noarch
eclipse-m2e-workspace-0.4.0-9.fc29.noarch
eclipse-mpc-1.7.2-1.fc29.noarch
eclipse-mylyn-3.25.0-0.2.fc29.noarch
eclipse-mylyn-tasks-bugzilla-3.25.0-0.2.fc29.noarch
eclipse-p2-discovery-4.9.0-2.fc29.noarch
eclipse-pde-4.9.0-2.fc29.x86_64
eclipse-pdt-6.0.0-3.fc29.noarch
eclipse-platform-4.9.0-2.fc29.x86_64
eclipse-ptp-9.2.0-3.fc29.x86_64
eclipse-pydev-6.5.0-2.fc29.x86_64
eclipse-recommenders-2.5.4-2.fc29.noarch
eclipse-remote-3.0.0-0.6.git14c6611.fc29.noarch
eclipse-rse-3.7.100-1.fc29.noarch
eclipse-subclipse-4.3.0-0.1.git43b895a.fc29.noarch
eclipse-swt-4.9.0-2.fc29.x86_64
eclipse-tm-terminal-4.4.0-4.fc29.noarch
eclipse-tm-terminal-connectors-4.4.0-4.fc29.noarch
eclipse-usage-4.9.0-1.fc29.noarch
eclipse-webtools-common-3.11.0-1.fc29.noarch
eclipse-webtools-servertools-3.11.0-1.fc29.noarch
eclipse-webtools-sourceediting-3.11.0-1.fc29.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2019-03-19 21:19:17 UTC
eclipse-anyedit-2.7.1-4.fc30 eclipse-avr-2.4.2-8.fc30 eclipse-checkstyle-7.6.0-7.fc30 eclipse-color-theme-1.0.0-11.fc30 eclipse-eclemma-3.1.2-2.fc30 eclipse-epic-0.7.5-4.fc30 eclipse-findbugs-3.0.1-18.fc30 eclipse-jgit-5.3.0-5.fc30 eclipse-moreunit-3.2.1-1.fc30 eclipse-mylyn-3.25.0-0.6.fc30 eclipse-nls-4.10.0-1.fc30 eclipse-packagekit-0.2.0-11.fc30 eclipse-pdt-6.2.0-3.fc30 eclipse-quickrex-3.5.0-31.fc30 eclipse-sgx-2.0-6.fc30 eclipse-subclipse-4.3.0-1.fc30 tycho-extras-1.3.0-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7dbbb74a13

Comment 2 Fedora Update System 2019-03-21 19:10:04 UTC
eclipse-4.11-3.fc30, eclipse-anyedit-2.7.1-4.fc30, eclipse-avr-2.4.2-8.fc30, eclipse-cdt-9.7.0-1.fc30, eclipse-checkstyle-7.6.0-7.fc30, eclipse-color-theme-1.0.0-11.fc30, eclipse-eclemma-3.1.2-2.fc30, eclipse-epic-0.7.5-4.fc30, eclipse-findbugs-3.0.1-18.fc30, eclipse-jgit-5.3.0-5.fc30, eclipse-moreunit-3.2.1-1.fc30, eclipse-mylyn-3.25.0-0.6.fc30, eclipse-nls-4.10.0-1.fc30, eclipse-packagekit-0.2.0-11.fc30, eclipse-pdt-6.2.0-3.fc30, eclipse-quickrex-3.5.0-31.fc30, eclipse-sgx-2.0-6.fc30, eclipse-subclipse-4.3.0-1.fc30, tycho-extras-1.3.0-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7dbbb74a13

Comment 3 Fedora Update System 2019-04-06 20:18:37 UTC
eclipse-4.11-3.fc30, eclipse-anyedit-2.7.1-4.fc30, eclipse-avr-2.4.2-8.fc30, eclipse-cdt-9.7.0-1.fc30, eclipse-checkstyle-7.6.0-7.fc30, eclipse-color-theme-1.0.0-11.fc30, eclipse-eclemma-3.1.2-2.fc30, eclipse-epic-0.7.5-4.fc30, eclipse-findbugs-3.0.1-18.fc30, eclipse-jgit-5.3.0-5.fc30, eclipse-moreunit-3.2.1-1.fc30, eclipse-mylyn-3.25.0-0.6.fc30, eclipse-nls-4.10.0-1.fc30, eclipse-packagekit-0.2.0-11.fc30, eclipse-pdt-6.2.0-3.fc30, eclipse-quickrex-3.5.0-31.fc30, eclipse-sgx-2.0-6.fc30, eclipse-subclipse-4.3.0-1.fc30, tycho-extras-1.3.0-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.